sigmlgen

## Class SiGMLTagDefs

- java.lang.Object
- - sigmlgen.SiGMLTagDefs

-     public class SiGMLTagDefs
      extends java.lang.Object

  Definitions of names and values for SiGML and HML (HamNoSysML) elements and attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BASE_URI_ATTR` Name for SiGML `base_uri` attribute.
    `static java.lang.String` | `BEGIN_ATTR` Name for SiGML and HML `begin` attributes.
    `static java.lang.String` | `CAS_FORMAT_VALUE` Name for `format` attribute's `CAS` value.
    `static java.lang.String` | `COMPRESSED_ATTR` Name for SiGML `<signing_ref>` element's `compressed` attribute.
    `static java.lang.String` | `DURATION_ATTR` Name for SiGML (and HML) `duration` attribute.
    `static java.lang.String` | `EOL` XML end-of-line string.
    `static java.lang.String` | `FORMAT_ATTR` Name for SiGML `<signing_ref>` element's `format` attribute.
    `static java.lang.String` | `GEST_MAN_TAG` Tag for SiGML {sign_manual} element.
    `static java.lang.String` | `GLOSS_ATTR` Name for SiGML and HML `gloss` attributes.
    `static java.lang.String` | `HAM_GEST_SIGN_TAG` Tag for SiGML `hamgestural_sign` element.
    `static java.lang.String` | `HML_SIGN_TAG` Tag for HML `sign` element.
    `static java.lang.String` | `HML_TAG` Tag for HML hamnosysml element.
    `static java.lang.String` | `HNS_BODY_TAG` Tag for SiGML non-manual `hnm_body` element.
    `static java.lang.String` | `HNS_EXTRA_TAG` Tag for SiGML non-manual `hnm_extra` element.
    `static java.lang.String` | `HNS_EYEBROWS_TAG` Tag for SiGML non-manual `hnm_eyebrows` element.
    `static java.lang.String` | `HNS_EYEGAZE_TAG` Tag for SiGML non-manual `hnm_eyegaze` element.
    `static java.lang.String` | `HNS_EYELIDS_TAG` Tag for SiGML non-manual `hnm_eyelids` element.
    `static java.lang.String` | `HNS_HEAD_TAG` Tag for SiGML non-manual `hnm_head` element.
    `static java.lang.String` | `HNS_MAN_TAG` Tag for SiGML `hamnosys_manual` element.
    `static java.lang.String` | `HNS_MOUTHGESTURE_TAG`
    `static java.lang.String` | `HNS_MOUTHPICTURE_TAG`
    `static java.lang.String` | `HNS_NONMAN_TAG` Tag for SiGML `hamnosys_nonmanual` element.
    `static java.lang.String` | `HNS_NOSE_TAG` Tag for SiGML non-manual `hnm_nose` element.
    `static java.lang.String` | `HNS_SHOULDER_TAG` Tag for SiGML non-manual {hnm_shoulder} element.
    `static java.lang.String` | `HNS_SIGN_TAG` Tag for SiGML `hns_sign` element.
    `static java.lang.String` | `NO_VALUE` Name for `compressed` attribute's `no` value.
    `static java.lang.String` | `PICTURE_ATTR` Name for SiGML mouth-picture's `picture` attribute.
    `static java.lang.String` | `PLAYER_SETTINGS_TAG` Tag for SiGML `player_settings` element.
    `static java.lang.String` | `PRESENT_ATTR` Name for SiGML `present` attribute.
    `static java.lang.String` | `SIGML_FORMAT_VALUE` Name for `format` attribute's `SiGML` value.
    `static java.lang.String` | `SIGML_SECTION_TAG` Tag for SiGML `sigmlsection` element.
    `static java.lang.String` | `SIGML_STREAM_TAG` Tag for SiGML `sigmlstream` element.
    `static java.lang.String` | `SIGML_TAG` Tag for SiGML `sigml` element.
    `static java.lang.String` | `SIGNING_REF_TAG` Tag for SiGML `signing_ref` element.
    `static java.lang.String` | `SPEED_ATTR` Name for SiGML and HML `speed` attributes.
    `static java.lang.String` | `TAG_ATTR` Name for SiGML non-manual `tag` attribute.
    `static java.lang.String` | `TIMESCALE_ATTR` Name for SiGML and HML `timecale` attributes.
    `static java.lang.String` | `URI_ATTR` Name for SiGML `<signing_ref>` element's `uri` attribute.
    `static java.lang.String` | `YES_VALUE` Name for `compressed` attribute's `yes` value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLTagDefs()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `ATTR_DEF(java.lang.String a, java.lang.String val)` XML attribute definition with the given name, and the given value enclosed in double-quotes.
    `static java.lang.String` | `EL_ALL(java.lang.String elname)` XML empty element tag, with the given name and no attributes.
    `static java.lang.String` | `EL_ALL(java.lang.String elname, java.lang.String attrs)` XML empty element tag, with the given name and attributes.
    `static java.lang.String` | `EL_BEG(java.lang.String elname)` Initial part of an XML element start tag, using the given name.
    `static java.lang.String` | `EL_CLOSE(java.lang.String elname)` XML element end tag, with the given name.
    `static java.lang.String` | `EL_END(java.lang.String elname)` Initial part of an XML element start tag, using the given name.
    `static java.lang.String` | `EL_OPEN(java.lang.String elname)` XML element start tag, with the given name and no attributes.
    `static java.lang.String` | `EL_OPEN(java.lang.String elname, java.lang.String attrs)` XML element start tag, with the given name and attributes.
    `static java.lang.String` | `emptyGesturalSignText(java.lang.String gloss)` The text of a SiGML `<hamgestural_sign>` element with the given gloss name value, and an empty manual part.
    `static java.lang.String` | `emptyHMLSignText(java.lang.String gloss)` The text of an empty HML `<sign>` element with the given gloss name value.
    `static java.lang.String` | `emptyHNSSignText(java.lang.String gloss)` The text of a SiGML `<hns_sign>` element with the given gloss name value, and an empty manual part.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HML_SIGN_TAG

          public static final java.lang.String HML_SIGN_TAG

      Tag for HML `sign` element.
      See Also:
        Constant Field Values

    - #### SIGML_STREAM_TAG

          public static final java.lang.String SIGML_STREAM_TAG

      Tag for SiGML `sigmlstream` element.
      See Also:
        Constant Field Values

    - #### SIGML_SECTION_TAG

          public static final java.lang.String SIGML_SECTION_TAG

      Tag for SiGML `sigmlsection` element.
      See Also:
        Constant Field Values

    - #### SIGML_TAG

          public static final java.lang.String SIGML_TAG

      Tag for SiGML `sigml` element.
      See Also:
        Constant Field Values

    - #### PLAYER_SETTINGS_TAG

          public static final java.lang.String PLAYER_SETTINGS_TAG

      Tag for SiGML `player_settings` element.
      See Also:
        Constant Field Values

    - #### SIGNING_REF_TAG

          public static final java.lang.String SIGNING_REF_TAG

      Tag for SiGML `signing_ref` element.
      See Also:
        Constant Field Values

    - #### HML_TAG

          public static final java.lang.String HML_TAG

      Tag for HML hamnosysml element.
      See Also:
        Constant Field Values

    - #### HAM_GEST_SIGN_TAG

          public static final java.lang.String HAM_GEST_SIGN_TAG

      Tag for SiGML `hamgestural_sign` element.
      See Also:
        Constant Field Values

    - #### HNS_SIGN_TAG

          public static final java.lang.String HNS_SIGN_TAG

      Tag for SiGML `hns_sign` element.
      See Also:
        Constant Field Values

    - #### HNS_MAN_TAG

          public static final java.lang.String HNS_MAN_TAG

      Tag for SiGML `hamnosys_manual` element.
      See Also:
        Constant Field Values

    - #### HNS_NONMAN_TAG

          public static final java.lang.String HNS_NONMAN_TAG

      Tag for SiGML `hamnosys_nonmanual` element.
      See Also:
        Constant Field Values

    - #### GEST_MAN_TAG

          public static final java.lang.String GEST_MAN_TAG

      Tag for SiGML {sign_manual} element.
      See Also:
        Constant Field Values

    - #### HNS_SHOULDER_TAG

          public static final java.lang.String HNS_SHOULDER_TAG

      Tag for SiGML non-manual {hnm_shoulder} element.
      See Also:
        Constant Field Values

    - #### HNS_BODY_TAG

          public static final java.lang.String HNS_BODY_TAG

      Tag for SiGML non-manual `hnm_body` element.
      See Also:
        Constant Field Values

    - #### HNS_HEAD_TAG

          public static final java.lang.String HNS_HEAD_TAG

      Tag for SiGML non-manual `hnm_head` element.
      See Also:
        Constant Field Values

    - #### HNS_EYEGAZE_TAG

          public static final java.lang.String HNS_EYEGAZE_TAG

      Tag for SiGML non-manual `hnm_eyegaze` element.
      See Also:
        Constant Field Values

    - #### HNS_EYEBROWS_TAG

          public static final java.lang.String HNS_EYEBROWS_TAG

      Tag for SiGML non-manual `hnm_eyebrows` element.
      See Also:
        Constant Field Values

    - #### HNS_EYELIDS_TAG

          public static final java.lang.String HNS_EYELIDS_TAG

      Tag for SiGML non-manual `hnm_eyelids` element.
      See Also:
        Constant Field Values

    - #### HNS_NOSE_TAG

          public static final java.lang.String HNS_NOSE_TAG

      Tag for SiGML non-manual `hnm_nose` element.
      See Also:
        Constant Field Values

    - #### HNS_MOUTHGESTURE_TAG

          public static final java.lang.String HNS_MOUTHGESTURE_TAG

      See Also:
        Constant Field Values

    - #### HNS_MOUTHPICTURE_TAG

          public static final java.lang.String HNS_MOUTHPICTURE_TAG

      See Also:
        Constant Field Values

    - #### HNS_EXTRA_TAG

          public static final java.lang.String HNS_EXTRA_TAG

      Tag for SiGML non-manual `hnm_extra` element.
      See Also:
        Constant Field Values

    - #### DURATION_ATTR

          public static final java.lang.String DURATION_ATTR

      Name for SiGML (and HML) `duration` attribute.
      See Also:
        Constant Field Values

    - #### PRESENT_ATTR

          public static final java.lang.String PRESENT_ATTR

      Name for SiGML `present` attribute.
      See Also:
        Constant Field Values

    - #### BASE_URI_ATTR

          public static final java.lang.String BASE_URI_ATTR

      Name for SiGML `base_uri` attribute.
      See Also:
        Constant Field Values

    - #### GLOSS_ATTR

          public static final java.lang.String GLOSS_ATTR

      Name for SiGML and HML `gloss` attributes.
      See Also:
        Constant Field Values

    - #### SPEED_ATTR

          public static final java.lang.String SPEED_ATTR

      Name for SiGML and HML `speed` attributes.
      See Also:
        Constant Field Values

    - #### TIMESCALE_ATTR

          public static final java.lang.String TIMESCALE_ATTR

      Name for SiGML and HML `timecale` attributes.
      See Also:
        Constant Field Values

    - #### BEGIN_ATTR

          public static final java.lang.String BEGIN_ATTR

      Name for SiGML and HML `begin` attributes.
      See Also:
        Constant Field Values

    - #### URI_ATTR

          public static final java.lang.String URI_ATTR

      Name for SiGML `<signing_ref>` element's `uri` attribute.
      See Also:
        Constant Field Values

    - #### FORMAT_ATTR

          public static final java.lang.String FORMAT_ATTR

      Name for SiGML `<signing_ref>` element's `format` attribute.
      See Also:
        Constant Field Values

    - #### CAS_FORMAT_VALUE

          public static final java.lang.String CAS_FORMAT_VALUE

      Name for `format` attribute's `CAS` value.
      See Also:
        Constant Field Values

    - #### SIGML_FORMAT_VALUE

          public static final java.lang.String SIGML_FORMAT_VALUE

      Name for `format` attribute's `SiGML` value.
      See Also:
        Constant Field Values

    - #### COMPRESSED_ATTR

          public static final java.lang.String COMPRESSED_ATTR

      Name for SiGML `<signing_ref>` element's `compressed` attribute.
      See Also:
        Constant Field Values

    - #### YES_VALUE

          public static final java.lang.String YES_VALUE

      Name for `compressed` attribute's `yes` value.
      See Also:
        Constant Field Values

    - #### NO_VALUE

          public static final java.lang.String NO_VALUE

      Name for `compressed` attribute's `no` value.
      See Also:
        Constant Field Values

    - #### TAG_ATTR

          public static final java.lang.String TAG_ATTR

      Name for SiGML non-manual `tag` attribute.
      See Also:
        Constant Field Values

    - #### PICTURE_ATTR

          public static final java.lang.String PICTURE_ATTR

      Name for SiGML mouth-picture's `picture` attribute.
      See Also:
        Constant Field Values

    - #### EOL

          public static java.lang.String EOL

      XML end-of-line string.

  - ### Constructor Detail

    - #### SiGMLTagDefs

          public SiGMLTagDefs()

  - ### Method Detail

    - #### EL_BEG

          public static final java.lang.String EL_BEG(java.lang.String elname)

      Initial part of an XML element start tag, using the given name.

    - #### EL_END

          public static final java.lang.String EL_END(java.lang.String elname)

      Initial part of an XML element start tag, using the given name.

    - #### EL_OPEN

          public static final java.lang.String EL_OPEN(java.lang.String elname)

      XML element start tag, with the given name and no attributes.

    - #### EL_OPEN

          public static final java.lang.String EL_OPEN(java.lang.String elname,
                                                       java.lang.String attrs)

      XML element start tag, with the given name and attributes.

    - #### EL_CLOSE

          public static final java.lang.String EL_CLOSE(java.lang.String elname)

      XML element end tag, with the given name.

    - #### EL_ALL

          public static final java.lang.String EL_ALL(java.lang.String elname)

      XML empty element tag, with the given name and no attributes.

    - #### EL_ALL

          public static final java.lang.String EL_ALL(java.lang.String elname,
                                                      java.lang.String attrs)

      XML empty element tag, with the given name and attributes.

    - #### ATTR_DEF

          public static final java.lang.String ATTR_DEF(java.lang.String a,
                                                        java.lang.String val)

      XML attribute definition with the given name, and the given value enclosed in double-quotes.

    - #### emptyHNSSignText

          public static final java.lang.String emptyHNSSignText(java.lang.String gloss)

      The text of a SiGML `<hns_sign>` element with the given gloss name value, and an empty manual part.

    - #### emptyGesturalSignText

          public static final java.lang.String emptyGesturalSignText(java.lang.String gloss)

      The text of a SiGML `<hamgestural_sign>` element with the given gloss name value, and an empty manual part.

    - #### emptyHMLSignText

          public static final java.lang.String emptyHMLSignText(java.lang.String gloss)

      The text of an empty HML `<sign>` element with the given gloss name value.